eximstats(8)

NAME
eximstats - exim mail statistics

SYNOPSIS
eximstats [options] <log files>

DESCRIPTION
A Perl script called eximstats is supplied in the util directory. This has been hacked about quite a bit over time. It now gives quite a lot of information by default, but there are options for suppressing various parts of it. Following any options, the arguments to the script are a list of files, which should be main log files. Eximstats extracts information about the number and volume of messages received from or delivered to various hosts. The information is sorted both by message count and by volume, and the top 50 hosts in each category are listed on the standard output. For messages delivered and received locally, similar statistics are produced per user. The output also includes total counts and statistics about delivery errors, and histograms showing the number of messages received and deliveries made in each hour of the day. A delivery with more than one address in its counted as a single delivery by eximstats. Though normally more deliveries than receipts are reported (as messages may have multiple recipients), it is possible for eximstats to report more messages received than delivered, even though the spool is empty at the start and end of the period in question. If an incoming message contains no valid recipients, no deliveries are recorded for it. An error report is handled as an entirely separate message. Eximstats always outputs a grand total summary giving the volume and number of messages received and deliveries made, and the number of hosts involved in each case. It also outputs the number of messages that were delayed (that is, not completely delivered at the first attempt), and the number that had at least one address that failed. The remainder of the output is in sections that can be independently disabled or modified by various options. It consists of a summary of deliveries by transport, histograms of messages received and delivered per time interval (default per hour), information about the time messages spent on the queue, a list of relayed messages, lists of the top 50 sending hosts, local senders, destination hosts, and destination local users by count and by volume, and a list of delivery errors that occurred. The options are as follows:

OPTIONS

-nt Suppress the statistics about delivery by transport.

-h<n>
    This option controls the histograms of messages received and deliveries per time interval. By default the time interval is one hour. If -h0 is given, the histograms are suppressed; otherwise the value of <n> gives the number of divisions per hour, so -h2 sets an interval of 30 minutes, and the default is equivalent to -h1.

-q0 Suppress information about times messages spend on the queue.

-q<n1>...
    This option sets an alternative list of time intervals for the queueing information. The values are separated by commas and are in seconds, but can involve arithmetic multipliers, so for example you can set 3*60 to specify 3 minutes. A setting such as -q60,5*60,10*60 causes eximstats to give counts of messages that stayed on the queue for less than one minute, less than five minutes, less than ten minutes, and over ten minutes.

-nr Suppress information about messages relayed through this host.

-nr/pattern/
    Suppress information about relayed messages that match the pattern, which is matched against a string of the form H=<host> A=<address> => H=<host> A=<address> for example H=in.host A=from@some.where => H=out.host A=to@else.where The addresses are taken from the envelope, not the headers. This option allows you to screen out hosts whom you are happy to have using your host as a relay.

-t<n>
    Sets the 'top' count to <n>. This controls the listings of the 'top <n>' hosts and users by count and volume. The default is 50, and setting 0 suppresses the output altogether.

-tnl
    Omit local information from the 'top' listings.

-ne Suppress the list of delivery errors.

SEE ALSO
There is extensive documentation available in /usr/share/doc/exim and in the info system regarding exim. Please be sure to have the exim-doc package installed.

AUTHOR
This manual page was stitched together by Christoph Lameter <clameter@debian.org> from the original documentation coming with the sourcepackage for the Debian GNU/Linux system.